Subject: Re: [PATCH 2/2] arch: Reserve map_shadow_stack() syscall number for all architectures

From: Michael Ellerman <[email-masked]>
Date: Thu, 14 Sep 2023 22:26:47 +1000

"Edgecombe, Rick P" <[email-masked]> writes:
> On Mon, 2023-09-11 at 18:02 +0000, Sohil Mehta wrote:
>> diff --git a/arch/powerpc/kernel/syscalls/syscall.tbl
>> b/arch/powerpc/kernel/syscalls/syscall.tbl
>> index 20e50586e8a2..2767b8a42636 100644
>> --- a/arch/powerpc/kernel/syscalls/syscall.tbl
>> +++ b/arch/powerpc/kernel/syscalls/syscall.tbl
>> @@ -539,3 +539,4 @@
>>  450    nospu   set_mempolicy_home_node         sys_set_mempolicy_hom
>> e_node
>>  451    common  cachestat                       sys_cachestat
>>  452    common  fchmodat2                       sys_fchmodat2
>> +453    common  map_shadow_stack                sys_map_shadow_stack
>
> I noticed in powerpc, the not implemented syscalls are manually mapped
> to sys_ni_syscall. It also has some special extra sys_ni_syscall()
> implementation bits to handle both ARCH_HAS_SYSCALL_WRAPPER and
> !ARCH_HAS_SYSCALL_WRAPPER. So wondering if it might need special
> treatment. Did you see those parts?

I don't think it needs any special treatment. It's processed by the same
script as other arches (scripts/syscalltbl.sh). So if there's no compat
or native entry it will default to sys_ni_syscall.

I think it's just habit/historical that we always spell out sys_ni_syscall.

cheers